---
layout: default
permalink: /examples/repositories/issues.html
title: Repository issues
---

# Repository issues

Provides functionality for interacting with an issue tracker. Authentication is necesary to access private issue tracker,
to get more detailed information, to create and to update an issue.

### Prepare:
{% include auth.md var_name="issue" class_ns="Repositories\Issues" %}

### Fetch a list of issues:

```php
$issue->all($account_name, $repo_slug);
```

### Fetch a single issue:

```php
$issue->get($account_name, $repo_slug, 3);
```

### Fetch 5 issues that contains word `bug` in title:

```php
$issue->all($account_name, $repo_slug, array(
    'limit' => 5,
    'start' => 0,
    'search' => 'bug'
));
```

### Add a new issue:

```php
$issue->create($account_name, $repo_slug, array(
    'title'     => 'dummy title',
    'content'   => 'dummy content',
    'kind'      => 'proposal',
    'priority'  => 'blocker'
));
```

### Update an existing issue:

```php
$issue->update($account_name, $repo_slug, 5, array(
    'title' => 'dummy title (edited)'
));
```

### Delete issue:

```php
$issue->delete($account_name, $repo_slug, 5);
```

----

#### Related:
  * [Authentication]({{ site.url }}/examples/authentication.html)
  * [Issues comments](issues/comments.html)
  * [Issues components](issues/components.html)
  * [Issues milestones](issues/milestones.html)
  * [Issues versions](issues/versions.html)
  * [BB Wiki](https://confluence.atlassian.com/display/BITBUCKET/issues+Resource#issuesResource-Overview)
