---
layout: default
permalink: /examples/users/oauth.html
title: Users OAuth
---

# Users OAuth

Use the oauth resource to create and maintain your own OAuth consumers.

### Prepare:
{% include auth.md var_name="user" class_ns="Users" %}

### Get all OAuth consumers:

```php
$users->oauth()->all($account_name);
```

### Create new consumer

```php
$users->oauth()->create($account_name, 'test', 'just for testing', 'http://test.example.com/oauth/bitbucket');
```

### Update existing consumer

```php
$users->oauth()->create($account_name, 'test', 22, 'just for testing', 'http://test.example.com/oauth/bitbucket');
```

### Delete existing consumer

```php
$users->oauth()->delete($account_name, 22);
```

----

#### Related:
  * [Authentication]({{ site.url }}/examples/authentication.html)
  * [Users]({{ site.url }}/examples/users.html)
  * [BB Wiki](https://confluence.atlassian.com/display/BITBUCKET/oauth+Resource#oauthResource-Overview)
