---
layout: default
permalink: /examples/users/ssh-keys.html
title: Users ssh keys
---

# Users ssh keys

Use the ssh-keys resource to manipulate the ssh-keys on an individual or team account.

### Prepare:
{% include auth.md var_name="user" class_ns="Users" %}

### Get a list of the keys associated with an account:

```php
$users->sshKeys()->all($account_name);
```

### Creates a key on the specified account:

```php
$users->sshKeys()->create($account_name, 'key content', 'dummy key');
```

### Updates a key on the specified account:

```php
$users->sshKeys()->update($account_name, 12, 'key content');
```

### Get the content of the specified `key_id`:

```php
$users->sshKeys()->get($account_name, 12);
```

### Delete a ssh key:

```php
$users->sshKeys()->delete($account_name, 12);
```

----

#### Related:
  * [Authentication]({{ site.url }}/examples/authentication.html)
  * [Users]({{ site.url }}/examples/users.html)
  * [BB Wiki](https://confluence.atlassian.com/display/BITBUCKET/ssh-keys+Resource#ssh-keysResource-Overview)
