<?php
// This file was auto-generated from sdk-root/src/data/finspace-data/2020-07-13/api-2.json
return [ 'version' => '2.0', 'metadata' => [ 'apiVersion' => '2020-07-13', 'endpointPrefix' => 'finspace-api', 'jsonVersion' => '1.1', 'protocol' => 'rest-json', 'serviceAbbreviation' => 'FinSpace Data', 'serviceFullName' => 'FinSpace Public API', 'serviceId' => 'finspace data', 'signatureVersion' => 'v4', 'signingName' => 'finspace-api', 'uid' => 'finspace-2020-07-13', ], 'operations' => [ 'CreateChangeset' => [ 'name' => 'CreateChangeset', 'http' => [ 'method' => 'POST', 'requestUri' => '/datasets/{datasetId}/changesets', ], 'input' => [ 'shape' => 'CreateChangesetRequest', ], 'output' => [ 'shape' => 'CreateChangesetResponse', ], 'errors' => [ [ 'shape' => 'ResourceNotFoundException', ], [ 'shape' => 'InternalServerException', ], [ 'shape' => 'ValidationException', ], [ 'shape' => 'ThrottlingException', ], [ 'shape' => 'AccessDeniedException', ], ], ], 'GetProgrammaticAccessCredentials' => [ 'name' => 'GetProgrammaticAccessCredentials', 'http' => [ 'method' => 'GET', 'requestUri' => '/credentials/programmatic', ], 'input' => [ 'shape' => 'GetProgrammaticAccessCredentialsRequest', ], 'output' => [ 'shape' => 'GetProgrammaticAccessCredentialsResponse', ], 'errors' => [ [ 'shape' => 'InternalServerException', ], [ 'shape' => 'ThrottlingException', ], [ 'shape' => 'AccessDeniedException', ], ], ], 'GetWorkingLocation' => [ 'name' => 'GetWorkingLocation', 'http' => [ 'method' => 'POST', 'requestUri' => '/workingLocationV1', ], 'input' => [ 'shape' => 'GetWorkingLocationRequest', ], 'output' => [ 'shape' => 'GetWorkingLocationResponse', ], 'errors' => [ [ 'shape' => 'InternalServerException', ], [ 'shape' => 'AccessDeniedException', ], [ 'shape' => 'ThrottlingException', ], [ 'shape' => 'ValidationException', ], ], ], ], 'shapes' => [ 'AccessDeniedException' => [ 'type' => 'structure', 'members' => [ 'message' => [ 'shape' => 'errorMessage', ], ], 'error' => [ 'httpStatusCode' => 403, ], 'exception' => true, ], 'ChangeType' => [ 'type' => 'string', 'enum' => [ 'REPLACE', 'APPEND', 'MODIFY', ], ], 'ChangesetInfo' => [ 'type' => 'structure', 'members' => [ 'id' => [ 'shape' => 'IdType', ], 'changesetArn' => [ 'shape' => 'arn', ], 'datasetId' => [ 'shape' => 'IdType', ], 'changeType' => [ 'shape' => 'ChangeType', ], 'sourceType' => [ 'shape' => 'SourceType', ], 'sourceParams' => [ 'shape' => 'stringMap', ], 'formatType' => [ 'shape' => 'FormatType', ], 'formatParams' => [ 'shape' => 'stringMap', ], 'createTimestamp' => [ 'shape' => 'Timestamp', ], 'status' => [ 'shape' => 'ChangesetStatus', ], 'errorInfo' => [ 'shape' => 'ErrorInfo', ], 'changesetLabels' => [ 'shape' => 'stringMap', ], 'updatesChangesetId' => [ 'shape' => 'stringValue', ], 'updatedByChangesetId' => [ 'shape' => 'stringValue', ], ], ], 'ChangesetStatus' => [ 'type' => 'string', 'enum' => [ 'PENDING', 'FAILED', 'SUCCESS', 'RUNNING', 'STOP_REQUESTED', ], ], 'CreateChangesetRequest' => [ 'type' => 'structure', 'required' => [ 'datasetId', 'changeType', 'sourceType', 'sourceParams', ], 'members' => [ 'datasetId' => [ 'shape' => 'IdType', 'location' => 'uri', 'locationName' => 'datasetId', ], 'changeType' => [ 'shape' => 'ChangeType', ], 'sourceType' => [ 'shape' => 'SourceType', ], 'sourceParams' => [ 'shape' => 'stringMap', ], 'formatType' => [ 'shape' => 'FormatType', ], 'formatParams' => [ 'shape' => 'stringMap', ], 'tags' => [ 'shape' => 'stringMap', ], ], ], 'CreateChangesetResponse' => [ 'type' => 'structure', 'members' => [ 'changeset' => [ 'shape' => 'ChangesetInfo', ], ], ], 'Credentials' => [ 'type' => 'structure', 'members' => [ 'accessKeyId' => [ 'shape' => 'stringValueLength1to255', ], 'secretAccessKey' => [ 'shape' => 'stringValueMaxLength1000', ], 'sessionToken' => [ 'shape' => 'stringValueMaxLength1000', ], ], ], 'ErrorCategory' => [ 'type' => 'string', 'enum' => [ 'The_inputs_to_this_request_are_invalid', 'Service_limits_have_been_exceeded', 'Missing_required_permission_to_perform_this_request', 'One_or_more_inputs_to_this_request_were_not_found', 'The_system_temporarily_lacks_sufficient_resources_to_process_the_request', 'An_internal_error_has_occurred', 'Cancelled', 'A_user_recoverable_error_has_occurred', ], ], 'ErrorInfo' => [ 'type' => 'structure', 'members' => [ 'errorMessage' => [ 'shape' => 'stringValueMaxLength1000', ], 'errorCategory' => [ 'shape' => 'ErrorCategory', ], ], ], 'FormatType' => [ 'type' => 'string', 'enum' => [ 'CSV', 'JSON', 'PARQUET', 'XML', ], ], 'GetProgrammaticAccessCredentialsRequest' => [ 'type' => 'structure', 'required' => [ 'environmentId', ], 'members' => [ 'durationInMinutes' => [ 'shape' => 'SessionDuration', 'location' => 'querystring', 'locationName' => 'durationInMinutes', ], 'environmentId' => [ 'shape' => 'IdType', 'location' => 'querystring', 'locationName' => 'environmentId', ], ], ], 'GetProgrammaticAccessCredentialsResponse' => [ 'type' => 'structure', 'members' => [ 'credentials' => [ 'shape' => 'Credentials', ], 'durationInMinutes' => [ 'shape' => 'SessionDuration', ], ], ], 'GetWorkingLocationRequest' => [ 'type' => 'structure', 'members' => [ 'locationType' => [ 'shape' => 'locationType', ], ], ], 'GetWorkingLocationResponse' => [ 'type' => 'structure', 'members' => [ 's3Uri' => [ 'shape' => 'stringValueLength1to1024', ], 's3Path' => [ 'shape' => 'stringValueLength1to1024', ], 's3Bucket' => [ 'shape' => 'stringValueLength1to63', ], ], ], 'IdType' => [ 'type' => 'string', 'max' => 26, 'min' => 1, ], 'InternalServerException' => [ 'type' => 'structure', 'members' => [ 'message' => [ 'shape' => 'errorMessage', ], ], 'error' => [ 'httpStatusCode' => 500, ], 'exception' => true, ], 'ResourceNotFoundException' => [ 'type' => 'structure', 'members' => [ 'message' => [ 'shape' => 'errorMessage', ], ], 'error' => [ 'httpStatusCode' => 404, ], 'exception' => true, ], 'SessionDuration' => [ 'type' => 'long', 'max' => 720, 'min' => 60, ], 'SourceType' => [ 'type' => 'string', 'enum' => [ 'S3', ], ], 'ThrottlingException' => [ 'type' => 'structure', 'members' => [], 'error' => [ 'httpStatusCode' => 429, ], 'exception' => true, ], 'Timestamp' => [ 'type' => 'timestamp', ], 'ValidationException' => [ 'type' => 'structure', 'members' => [ 'message' => [ 'shape' => 'errorMessage', ], ], 'error' => [ 'httpStatusCode' => 400, ], 'exception' => true, ], 'arn' => [ 'type' => 'string', 'max' => 2048, 'min' => 20, ], 'errorMessage' => [ 'type' => 'string', ], 'locationType' => [ 'type' => 'string', 'enum' => [ 'INGESTION', 'SAGEMAKER', ], ], 'stringMap' => [ 'type' => 'map', 'key' => [ 'shape' => 'stringMapKey', ], 'value' => [ 'shape' => 'stringMapValue', ], ], 'stringMapKey' => [ 'type' => 'string', ], 'stringMapValue' => [ 'type' => 'string', ], 'stringValue' => [ 'type' => 'string', ], 'stringValueLength1to1024' => [ 'type' => 'string', 'max' => 1024, 'min' => 1, 'pattern' => '.*\\S.*', ], 'stringValueLength1to255' => [ 'type' => 'string', 'max' => 255, 'min' => 1, ], 'stringValueLength1to63' => [ 'type' => 'string', 'max' => 63, 'min' => 1, 'pattern' => '.*\\S.*', ], 'stringValueMaxLength1000' => [ 'type' => 'string', 'max' => 1000, ], ],];
